• Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

Soft OSINT инструменты для Instagram и Facebook

OSI.IG

osi.ig - Open Source Information Instagram
Инструмент Instagram OSINT получает из учетной записи Instagram ряд информации, которую вы обычно не можете получить, просто просмотрев их профиль.

Информация включает:
  • [профиль]: идентификатор пользователя, подписчики , URL-адрес изображения профиля, бизнес-перечисление, внешний URL-адрес, недавно присоединился и т. д.
  • [теги и упоминания]: наиболее часто используемые хэштеги и упомянутые аккаунты.
  • [электронная почта]: если какой-либо адрес электронной почты используется в любом месте, он будет отображаться
  • [публикации]: заголовок доступна, местоположение, отметка времени, заголовок, URL-адрес изображения и т. д.
(но не работает правильно с постами, помеченными как sensitive content )

Установка

  1. git clone https://github.com/th3unkn0n/osi.ig.git && cd osi.ig
  2. python3 -m pip install -r requirements.txt

Запуск

  1. python3 main.py -h
    1.png
  2. python3 main.py -u username
    2.png
  3. python3 main.py -u username -p
    3.png
OSIF
OSIF
- инструмент для сбора информации учетной записи facebook, даже если пользователь в настройках конфиденциальности установила значения “только я”. Собирает информацию о месте жительства, дате рождения, роде занятий, номере телефона, адресе электронной почты и т.п..

Установка

  1. apt-get install git python2
  2. git clone https://github.com/ciku370/OSIF
  3. cd OSIF
  4. pip install -r requirements.txt

Запуск

  • python2 osif.py

    1.png

Обзор команд

  • token - указываем данные для входа в Facebook (я не использовал личный аккаунт, вам тоже не советую) и получаем токен api.
    2.png
  • get_data - запрос на получение данных людей, которые находятся у вас в друзьях.
    3.png
  • get_info - выводит информацию о пользователях в консоль, можно указать id или username, также если указать цифру, выведет всех что содержит это цифру в id.
    4.png
  • dump_id - сохранит в файл id ваших друзей
  • dump_phone - сохранит в файл номера телефона ваших друзей
  • dump_mail - сохранит в файл email ваших друзей
  • dump_[id]_id - сохранит в файл id друзей указанного вами пользователя по id
    5.png
 

DeathDay

Green Team
18.04.2019
149
1 095
BIT
2
Лучше не используйте однострочный код, а так всё шик.
 
  • Нравится
Реакции: Fo_nix

yamakasy

Green Team
30.10.2020
158
113
BIT
0
я правильно понимаю, что osi.ig работает даже если акк закрыт от посторонних?
 
  • Нравится
Реакции: Adrian Grum
T

to_0day

Искал похожий софт недели две. Итог: ответ оказался на Codeby.
 
  • Нравится
Реакции: tarantot

anknoun

New member
12.01.2021
2
0
BIT
0
Спасибо, приму во внимание)
Код:
server@ubuntu-server:~$ sudo git clone th3unkn0n/osi.ig && cd osi.ig
Cloning into 'osi.ig'...
fatal: unable to access 'th3unkn0n/osi.ig': Failed to connect to github.com port 443: Connection timed out
server@ubuntu-server:~$ ping github.com
PING github.com (140.82.121.3) 56(84) bytes of data.
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=1 ttl=47 time=116 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=2 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=4 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=5 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=6 ttl=47 time=115 ms
^C
--- github.com ping statistics ---
6 packets transmitted, 5 received, 16.6667% packet loss, time 5023ms
rtt min/avg/max/mdev = 115.059/115.310/115.575/0.163 ms
server@ubuntu-server:~$
Что я делаю не так? Кто подскажет?
Ubuntu Server 20.04 LTS
 

Fo_nix

Grey Team
21.10.2020
19
102
BIT
13
Код:
server@ubuntu-server:~$ sudo git clone th3unkn0n/osi.ig && cd osi.ig
Cloning into 'osi.ig'...
fatal: unable to access 'th3unkn0n/osi.ig': Failed to connect to github.com port 443: Connection timed out
server@ubuntu-server:~$ ping github.com
PING github.com (140.82.121.3) 56(84) bytes of data.
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=1 ttl=47 time=116 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=2 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=4 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=5 ttl=47 time=115 ms
64 bytes from lb-140-82-121-3-fra.github.com (140.82.121.3): icmp_seq=6 ttl=47 time=115 ms
^C
--- github.com ping statistics ---
6 packets transmitted, 5 received, 16.6667% packet loss, time 5023ms
rtt min/avg/max/mdev = 115.059/115.310/115.575/0.163 ms
server@ubuntu-server:~$
Что я делаю не так? Кто подскажет?
Ubuntu Server 20.04 LTS
Попробуйте пока перенести архив вручную. По поводу Ubuntu Вам сейчас не подскажу.
 
  • Нравится
Реакции: Semen Semenov и Sunnych

anknoun

New member
12.01.2021
2
0
BIT
0
Скопировал архив
что то ошибка выскочило ( по сути нету прокси, прямой доступ к интернету
File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 84, in create_connection
raise err
File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 74, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 665, in urlopen
httplib_response = self._make_request(
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 376, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 996, in _validate_conn
conn.connect()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 314, in connect
conn = self._new_conn()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 171, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7fc1546a3d30>: Failed to establish a new connection: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 719, in urlopen
retries = retries.increment(
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 436, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.instagram.com', port=443): Max retries exceeded with url: /detskiy_lifehak/?__a=1 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fc1546a3d30>: Failed to establish a new connection: [Errno 101] Network is unreachable'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 16, in <module>
user_info(usrname=args["user"])
File "/home/server/osi.ig/.lib/api.py", line 69, in user_info
resp_js = get_page(usrname)
File "/home/server/osi.ig/.lib/api.py", line 25, in get_page
resp_js = session.get('https://www.instagram.com/'+usrname+'/?__a=1').text
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.instagram.com', port=443): Max retries exceeded with url: /detskiy_lifehak/?__a=1 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fc1546a3d30>: Failed to establish a new connection: [Errno 101] Network is unreachable'))
 

Alena-007

One Level
13.01.2021
4
1
BIT
0
подскажите пжл ребят, почему ошибка выскочила после команды python3 main.py -u nik user, может я делаю что-то не так(
 

Alena-007

One Level
13.01.2021
4
1
BIT
0
какая именно ошибка ?
Traceback (most recent call last):
File "main.py", line 16, in <module>
user_info(usrname=args["user"])
File "/home/alena/osi.ig/.lib/api.ry", line 70, in user_info
js = json.loads(resp_js)
File "/usr/lib/python3.8/json/__intint__.py", line 357, in loads
return_default_decoder.decode(s)
File "/usr/lib/python3.8/json/decoder.py", line 337, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "/usr/lib/python3.8/json/decoder.py", line 355, in raw_decode
raise JSONDecodeError("Expecting value", s, err.value: from None
json.decoder.JSONDecodeError: Expecting value: line 1 colum 1 (char 0)

я просто никогда сама не программировала, а тут заинтересовалась.
 

Fo_nix

Grey Team
21.10.2020
19
102
BIT
13
Traceback (most recent call last):
File "main.py", line 16, in <module>
user_info(usrname=args["user"])
File "/home/alena/osi.ig/.lib/api.ry", line 70, in user_info
js = json.loads(resp_js)
File "/usr/lib/python3.8/json/__intint__.py", line 357, in loads
return_default_decoder.decode(s)
File "/usr/lib/python3.8/json/decoder.py", line 337, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "/usr/lib/python3.8/json/decoder.py", line 355, in raw_decode
raise JSONDecodeError("Expecting value", s, err.value: from None
json.decoder.JSONDecodeError: Expecting value: line 1 colum 1 (char 0)

я просто никогда сама не программировала, а тут заинтересовалась.
Вы вводите команду python3 main.py -u nik user, попробуйте ввести python3 main.py -u nikuser (там в никах пробела не должно быть), и еще убедитесь что у вас все зависимости установились успешно
 
  • Нравится
Реакции: Semen Semenov и Sunnych

Alena-007

One Level
13.01.2021
4
1
BIT
0
Вы вводите команду python3 main.py -u nik user, попробуйте ввести python3 main.py -u nikuser (там в никах пробела не должно быть), и еще убедитесь что у вас все зависимости установились успешно
попробовала без пробела так же получается, а не подскажите как осуществить проверку на успешность установки?
 

Fo_nix

Grey Team
21.10.2020
19
102
BIT
13
попробовала без пробела так же получается, а не подскажите как осуществить проверку на успешность установки?
Возможно были ошибки на этом этапе
python3 -m pip install -r requirements.txt
Выполните команду и скиньте скрин
 
  • Нравится
Реакции: Semen Semenov и Sunnych

tarantot

Green Team
18.02.2020
19
3
BIT
0
команда -->
Код:
команда --> python2 osif.py
вывод:

Код:
_     _                   
                o' \.=./ `o                                                                                         
                   (o o)                                                                                             
               ooO--(_)--Ooo                                                                                         
                                                                                                                    
                  O S I F                   
 
[!] Can't import module 'requests'


Почему-то "потерялся" этот модуль.
Элементарные способы установки через pip пробовал - не помогло.
В чём может быть загвоздка?
 
  • Нравится
Реакции: VankaIE

Ilya_Schenkov

New member
09.02.2021
2
0
BIT
0
А что насчет приватных профилей? Должна же быть наверняка такая утилита, фейсбук наверняка должен создать у себя какой-то бекдор для этого
 

Fo_nix

Grey Team
21.10.2020
19
102
BIT
13
А что насчет приватных профилей? Должна же быть наверняка такая утилита, фейсбук наверняка должен создать у себя какой-то бекдор для этого
Пока на такой софт не натыкался чтобы можно было смотреть приватный профиль. Возможно есть решения и для этого. Но пока я о них не знаю)
 
  • Нравится
Реакции: Sunnych
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!